Bug 716719 - Please update the Orca package's dependencies
Summary: Please update the Orca package's dependencies
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: orca
Version: 15
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-26 16:08 UTC by Joanmarie Diggs
Modified: 2013-03-06 04:07 UTC (History)
5 users (show)

Fixed In Version: cogl-1.10.2-1.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-22 04:17:15 UTC
Type: ---


Attachments (Terms of Use)

Description Joanmarie Diggs 2011-06-26 16:08:02 UTC
I'm newish to Fedora, so perhaps these are already removed in rawhide and I just haven't figured out how to convince yum to tell me this. But in the spirit of being sure, because mixing AT-SPI2 and AT-SPI1 seems to result in BadThings(tm):

Things which could have been removed already (F15)/Orca 3.0.x:
  dependency: gnome-speech (deprecated)
  dependency: gnome-mag (deprecated)
  dependency: gnome-python2-bonobo (deprecated)
  dependency: at-spi-python (replaced by pyatspi)

Things which can be removed for rawhide (F16)/Orca 3.1.x:
  dependency: gnome-python2-gconf

Thanks!

Comment 1 Joanmarie Diggs 2011-06-26 16:49:44 UTC
Things which should be added:

* speech-dispatcher-python
* brltty
* brlapi, python-brlapi
* liblouis, liblouis-python

Comment 2 Joanmarie Diggs 2011-06-26 17:09:34 UTC
(Sorry to be spammy. I think this is the last batch.)

Build dependency to add:
* liblouis-devel

Build dependencies to remove:
* gnome-python2-bonobo
* gnome-python2-devel
* pygtk2-devel
* pyorbit-devel
* python-devel

Comment 3 Kalev Lember 2012-04-17 15:50:20 UTC
Looks like most of this has been already fixed. Applied a few of the remaining dependency updates to orca-3.4.1-2.fc17:
http://pkgs.fedoraproject.org/gitweb/?p=orca.git;a=commitdiff;h=1a577f05cce1

Thanks Joanmarie!

Comment 4 Fedora Update System 2012-04-18 15:19:36 UTC
aisleriot-3.2.3.2-2.fc17, at-spi2-core-2.4.1-1.fc17, baobab-3.4.1-1.fc17, brasero-3.4.1-1.fc17, cheese-3.4.1-1.fc17, control-center-3.4.1-1.fc17, devhelp-3.4.1-1.fc17, empathy-3.4.1-1.fc17, eog-3.4.1-1.fc17, file-roller-3.4.1-1.fc17, folks-0.6.9-1.fc17, gcalctool-6.4.1.1-1.fc17, gcr-3.4.1-1.fc17, gedit-3.4.1-1.fc17, glib-networking-2.32.1-1.fc17, gnome-applets-3.4.1-1.fc17, gnome-backgrounds-3.4.1-1.fc17, gnome-boxes-3.4.1-1.fc17, gnome-desktop3-3.4.1-2.fc17, gnome-devel-docs-3.4.1-1.fc17, gnome-documents-0.4.1-1.fc17, gnome-games-3.4.1-1.fc17, gnome-keyring-3.4.1-1.fc17, gnome-online-accounts-3.4.1-1.fc17, gnome-panel-3.4.1-1.fc17, gnome-screenshot-3.4.1-1.fc17, gnome-session-3.4.1-1.fc17, gnome-shell-3.4.1-2.fc17, gnome-system-monitor-3.4.1-1.fc17, gnome-terminal-3.4.1.1-1.fc17, gnome-user-docs-3.4.1-1.fc17, gtksourceview3-3.4.1-1.fc17, gucharmap-3.4.1.1-1.fc17, gvfs-1.12.1-2.fc17, libgdata-0.12.0-1.fc17, libgnome-keyring-3.4.1-2.fc17, librsvg2-2.36.1-1.fc17, libsoup-2.38.1-1.fc17, mutter-3.4.1-2.fc17, orca-3.4.1-2.fc17, sushi-0.4.1-1.fc17, vinagre-3.4.1-1.fc17, vino-3.4.1-1.fc17, vte3-0.32.1-1.fc17, yelp-3.4.1-1.fc17, yelp-tools-3.4.1-1.fc17, yelp-xsl-3.4.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/aisleriot-3.2.3.2-2.fc17,at-spi2-core-2.4.1-1.fc17,baobab-3.4.1-1.fc17,brasero-3.4.1-1.fc17,cheese-3.4.1-1.fc17,control-center-3.4.1-1.fc17,devhelp-3.4.1-1.fc17,empathy-3.4.1-1.fc17,eog-3.4.1-1.fc17,file-roller-3.4.1-1.fc17,folks-0.6.9-1.fc17,gcalctool-6.4.1.1-1.fc17,gcr-3.4.1-1.fc17,gedit-3.4.1-1.fc17,glib-networking-2.32.1-1.fc17,gnome-applets-3.4.1-1.fc17,gnome-backgrounds-3.4.1-1.fc17,gnome-boxes-3.4.1-1.fc17,gnome-desktop3-3.4.1-2.fc17,gnome-devel-docs-3.4.1-1.fc17,gnome-documents-0.4.1-1.fc17,gnome-games-3.4.1-1.fc17,gnome-keyring-3.4.1-1.fc17,gnome-online-accounts-3.4.1-1.fc17,gnome-panel-3.4.1-1.fc17,gnome-screenshot-3.4.1-1.fc17,gnome-session-3.4.1-1.fc17,gnome-shell-3.4.1-2.fc17,gnome-system-monitor-3.4.1-1.fc17,gnome-terminal-3.4.1.1-1.fc17,gnome-user-docs-3.4.1-1.fc17,gtksourceview3-3.4.1-1.fc17,gucharmap-3.4.1.1-1.fc17,gvfs-1.12.1-2.fc17,libgdata-0.12.0-1.fc17,libgnome-keyring-3.4.1-2.fc17,librsvg2-2.36.1-1.fc17,libsoup-2.38.1-1.fc17,mutter-3.4.1-2.fc17,orca-3.4.1-2.fc17,sushi-0.4.1-1.fc17,vinagre-3.4.1-1.fc17,vino-3.4.1-1.fc17,vte3-0.32.1-1.fc17,yelp-3.4.1-1.fc17,yelp-tools-3.4.1-1.fc17,yelp-xsl-3.4.1-1.fc17

Comment 5 Fedora Update System 2012-04-18 22:12:37 UTC
Package aisleriot-3.2.3.2-2.fc17, at-spi2-core-2.4.1-1.fc17, baobab-3.4.1-1.fc17, brasero-3.4.1-1.fc17, cheese-3.4.1-1.fc17, control-center-3.4.1-1.fc17, devhelp-3.4.1-1.fc17, empathy-3.4.1-1.fc17, eog-3.4.1-1.fc17, file-roller-3.4.1-1.fc17, folks-0.6.9-1.fc17, gcalctool-6.4.1.1-1.fc17, gcr-3.4.1-1.fc17, gedit-3.4.1-1.fc17, glib-networking-2.32.1-1.fc17, gnome-applets-3.4.1-1.fc17, gnome-backgrounds-3.4.1-1.fc17, gnome-boxes-3.4.1-1.fc17, gnome-desktop3-3.4.1-2.fc17, gnome-devel-docs-3.4.1-1.fc17, gnome-documents-0.4.1-1.fc17, gnome-games-3.4.1-1.fc17, gnome-keyring-3.4.1-1.fc17, gnome-online-accounts-3.4.1-1.fc17, gnome-panel-3.4.1-1.fc17, gnome-screenshot-3.4.1-1.fc17, gnome-session-3.4.1-1.fc17, gnome-shell-3.4.1-2.fc17, gnome-system-monitor-3.4.1-1.fc17, gnome-terminal-3.4.1.1-1.fc17, gnome-user-docs-3.4.1-1.fc17, gtksourceview3-3.4.1-1.fc17, gucharmap-3.4.1.1-1.fc17, gvfs-1.12.1-2.fc17, libgdata-0.12.0-1.fc17, libgnome-keyring-3.4.1-2.fc17, librsvg2-2.36.1-1.fc17, libsoup-2.38.1-1.fc17, mutter-3.4.1-2.fc17, orca-3.4.1-2.fc17, sushi-0.4.1-1.fc17, vinagre-3.4.1-1.fc17, vino-3.4.1-1.fc17, vte3-0.32.1-1.fc17, yelp-3.4.1-1.fc17, yelp-tools-3.4.1-1.fc17, yelp-xsl-3.4.1-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing aisleriot-3.2.3.2-2.fc17 at-spi2-core-2.4.1-1.fc17 baobab-3.4.1-1.fc17 brasero-3.4.1-1.fc17 cheese-3.4.1-1.fc17 control-center-3.4.1-1.fc17 devhelp-3.4.1-1.fc17 empathy-3.4.1-1.fc17 eog-3.4.1-1.fc17 file-roller-3.4.1-1.fc17 folks-0.6.9-1.fc17 gcalctool-6.4.1.1-1.fc17 gcr-3.4.1-1.fc17 gedit-3.4.1-1.fc17 glib-networking-2.32.1-1.fc17 gnome-applets-3.4.1-1.fc17 gnome-backgrounds-3.4.1-1.fc17 gnome-boxes-3.4.1-1.fc17 gnome-desktop3-3.4.1-2.fc17 gnome-devel-docs-3.4.1-1.fc17 gnome-documents-0.4.1-1.fc17 gnome-games-3.4.1-1.fc17 gnome-keyring-3.4.1-1.fc17 gnome-online-accounts-3.4.1-1.fc17 gnome-panel-3.4.1-1.fc17 gnome-screenshot-3.4.1-1.fc17 gnome-session-3.4.1-1.fc17 gnome-shell-3.4.1-2.fc17 gnome-system-monitor-3.4.1-1.fc17 gnome-terminal-3.4.1.1-1.fc17 gnome-user-docs-3.4.1-1.fc17 gtksourceview3-3.4.1-1.fc17 gucharmap-3.4.1.1-1.fc17 gvfs-1.12.1-2.fc17 libgdata-0.12.0-1.fc17 libgnome-keyring-3.4.1-2.fc17 librsvg2-2.36.1-1.fc17 libsoup-2.38.1-1.fc17 mutter-3.4.1-2.fc17 orca-3.4.1-2.fc17 sushi-0.4.1-1.fc17 vinagre-3.4.1-1.fc17 vino-3.4.1-1.fc17 vte3-0.32.1-1.fc17 yelp-3.4.1-1.fc17 yelp-tools-3.4.1-1.fc17 yelp-xsl-3.4.1-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6123/aisleriot-3.2.3.2-2.fc17,at-spi2-core-2.4.1-1.fc17,baobab-3.4.1-1.fc17,brasero-3.4.1-1.fc17,cheese-3.4.1-1.fc17,control-center-3.4.1-1.fc17,devhelp-3.4.1-1.fc17,empathy-3.4.1-1.fc17,eog-3.4.1-1.fc17,file-roller-3.4.1-1.fc17,folks-0.6.9-1.fc17,gcalctool-6.4.1.1-1.fc17,gcr-3.4.1-1.fc17,gedit-3.4.1-1.fc17,glib-networking-2.32.1-1.fc17,gnome-applets-3.4.1-1.fc17,gnome-backgrounds-3.4.1-1.fc17,gnome-boxes-3.4.1-1.fc17,gnome-desktop3-3.4.1-2.fc17,gnome-devel-docs-3.4.1-1.fc17,gnome-documents-0.4.1-1.fc17,gnome-games-3.4.1-1.fc17,gnome-keyring-3.4.1-1.fc17,gnome-online-accounts-3.4.1-1.fc17,gnome-panel-3.4.1-1.fc17,gnome-screenshot-3.4.1-1.fc17,gnome-session-3.4.1-1.fc17,gnome-shell-3.4.1-2.fc17,gnome-system-monitor-3.4.1-1.fc17,gnome-terminal-3.4.1.1-1.fc17,gnome-user-docs-3.4.1-1.fc17,gtksourceview3-3.4.1-1.fc17,gucharmap-3.4.1.1-1.fc17,gvfs-1.12.1-2.fc17,libgdata-0.12.0-1.fc17,libgnome-keyring-3.4.1-2.fc17,librsvg2-2.36.1-1.fc17,libsoup-2.38.1-1.fc17,mutter-3.4.1-2.fc17,orca-3.4.1-2.fc17,sushi-0.4.1-1.fc17,vinagre-3.4.1-1.fc17,vino-3.4.1-1.fc17,vte3-0.32.1-1.fc17,yelp-3.4.1-1.fc17,yelp-tools-3.4.1-1.fc17,yelp-xsl-3.4.1-1.fc17
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2012-04-20 06:04:21 UTC
Package cogl-1.10.2-1.fc17, epiphany-3.4.1-1.fc17, gobject-introspection-1.32.1-1.fc17, aisleriot-3.2.3.2-2.fc17, at-spi2-core-2.4.1-1.fc17, baobab-3.4.1-1.fc17, brasero-3.4.1-1.fc17, cheese-3.4.1-1.fc17, control-center-3.4.1-1.fc17, devhelp-3.4.1-1.fc17, empathy-3.4.1-1.fc17, eog-3.4.1-1.fc17, file-roller-3.4.1-1.fc17, folks-0.6.9-1.fc17, gcalctool-6.4.1.1-1.fc17, gcr-3.4.1-1.fc17, gedit-3.4.1-1.fc17, glib-networking-2.32.1-1.fc17, gnome-applets-3.4.1-1.fc17, gnome-backgrounds-3.4.1-1.fc17, gnome-boxes-3.4.1-1.fc17, gnome-desktop3-3.4.1-2.fc17, gnome-devel-docs-3.4.1-1.fc17, gnome-documents-0.4.1-1.fc17, gnome-games-3.4.1-1.fc17, gnome-keyring-3.4.1-1.fc17, gnome-online-accounts-3.4.1-1.fc17, gnome-panel-3.4.1-1.fc17, gnome-screenshot-3.4.1-1.fc17, gnome-session-3.4.1-1.fc17, gnome-shell-3.4.1-2.fc17, gnome-system-monitor-3.4.1-1.fc17, gnome-terminal-3.4.1.1-1.fc17, gnome-user-docs-3.4.1-1.fc17, gtksourceview3-3.4.1-1.fc17, gucharmap-3.4.1.1-1.fc17, gvfs-1.12.1-2.fc17, libgdata-0.12.0-1.fc17, libgnome-keyring-3.4.1-2.fc17, librsvg2-2.36.1-1.fc17, libsoup-2.38.1-1.fc17, mutter-3.4.1-2.fc17, orca-3.4.1-2.fc17, sushi-0.4.1-1.fc17, vinagre-3.4.1-1.fc17, vino-3.4.1-1.fc17, vte3-0.32.1-1.fc17, yelp-3.4.1-1.fc17, yelp-tools-3.4.1-1.fc17, yelp-xsl-3.4.1-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cogl-1.10.2-1.fc17 epiphany-3.4.1-1.fc17 gobject-introspection-1.32.1-1.fc17 aisleriot-3.2.3.2-2.fc17 at-spi2-core-2.4.1-1.fc17 baobab-3.4.1-1.fc17 brasero-3.4.1-1.fc17 cheese-3.4.1-1.fc17 control-center-3.4.1-1.fc17 devhelp-3.4.1-1.fc17 empathy-3.4.1-1.fc17 eog-3.4.1-1.fc17 file-roller-3.4.1-1.fc17 folks-0.6.9-1.fc17 gcalctool-6.4.1.1-1.fc17 gcr-3.4.1-1.fc17 gedit-3.4.1-1.fc17 glib-networking-2.32.1-1.fc17 gnome-applets-3.4.1-1.fc17 gnome-backgrounds-3.4.1-1.fc17 gnome-boxes-3.4.1-1.fc17 gnome-desktop3-3.4.1-2.fc17 gnome-devel-docs-3.4.1-1.fc17 gnome-documents-0.4.1-1.fc17 gnome-games-3.4.1-1.fc17 gnome-keyring-3.4.1-1.fc17 gnome-online-accounts-3.4.1-1.fc17 gnome-panel-3.4.1-1.fc17 gnome-screenshot-3.4.1-1.fc17 gnome-session-3.4.1-1.fc17 gnome-shell-3.4.1-2.fc17 gnome-system-monitor-3.4.1-1.fc17 gnome-terminal-3.4.1.1-1.fc17 gnome-user-docs-3.4.1-1.fc17 gtksourceview3-3.4.1-1.fc17 gucharmap-3.4.1.1-1.fc17 gvfs-1.12.1-2.fc17 libgdata-0.12.0-1.fc17 libgnome-keyring-3.4.1-2.fc17 librsvg2-2.36.1-1.fc17 libsoup-2.38.1-1.fc17 mutter-3.4.1-2.fc17 orca-3.4.1-2.fc17 sushi-0.4.1-1.fc17 vinagre-3.4.1-1.fc17 vino-3.4.1-1.fc17 vte3-0.32.1-1.fc17 yelp-3.4.1-1.fc17 yelp-tools-3.4.1-1.fc17 yelp-xsl-3.4.1-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6123/epiphany-3.4.1-1.fc17,gobject-introspection-1.32.1-1.fc17,cogl-1.10.2-1.fc17,aisleriot-3.2.3.2-2.fc17,at-spi2-core-2.4.1-1.fc17,baobab-3.4.1-1.fc17,brasero-3.4.1-1.fc17,cheese-3.4.1-1.fc17,control-center-3.4.1-1.fc17,devhelp-3.4.1-1.fc17,empathy-3.4.1-1.fc17,eog-3.4.1-1.fc17,file-roller-3.4.1-1.fc17,folks-0.6.9-1.fc17,gcalctool-6.4.1.1-1.fc17,gcr-3.4.1-1.fc17,gedit-3.4.1-1.fc17,glib-networking-2.32.1-1.fc17,gnome-applets-3.4.1-1.fc17,gnome-backgrounds-3.4.1-1.fc17,gnome-boxes-3.4.1-1.fc17,gnome-desktop3-3.4.1-2.fc17,gnome-devel-docs-3.4.1-1.fc17,gnome-documents-0.4.1-1.fc17,gnome-games-3.4.1-1.fc17,gnome-keyring-3.4.1-1.fc17,gnome-online-accounts-3.4.1-1.fc17,gnome-panel-3.4.1-1.fc17,gnome-screenshot-3.4.1-1.fc17,gnome-session-3.4.1-1.fc17,gnome-shell-3.4.1-2.fc17,gnome-system-monitor-3.4.1-1.fc17,gnome-terminal-3.4.1.1-1.fc17,gnome-user-docs-3.4.1-1.fc17,gtksourceview3-3.4.1-1.fc17,gucharmap-3.4.1.1-1.fc17,gvfs-1.12.1-2.fc17,libgdata-0.12.0-1.fc17,libgnome-keyring-3.4.1-2.fc17,librsvg2-2.36.1-1.fc17,libsoup-2.38.1-1.fc17,mutter-3.4.1-2.fc17,orca-3.4.1-2.fc17,sushi-0.4.1-1.fc17,vinagre-3.4.1-1.fc17,vino-3.4.1-1.fc17,vte3-0.32.1-1.fc17,yelp-3.4.1-1.fc17,yelp-tools-3.4.1-1.fc17,yelp-xsl-3.4.1-1.fc17
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2012-04-22 04:17:15 UTC
cogl-1.10.2-1.fc17, epiphany-3.4.1-1.fc17, gobject-introspection-1.32.1-1.fc17, aisleriot-3.2.3.2-2.fc17, at-spi2-core-2.4.1-1.fc17, baobab-3.4.1-1.fc17, brasero-3.4.1-1.fc17, cheese-3.4.1-1.fc17, control-center-3.4.1-1.fc17, devhelp-3.4.1-1.fc17, empathy-3.4.1-1.fc17, eog-3.4.1-1.fc17, file-roller-3.4.1-1.fc17, folks-0.6.9-1.fc17, gcalctool-6.4.1.1-1.fc17, gcr-3.4.1-1.fc17, gedit-3.4.1-1.fc17, glib-networking-2.32.1-1.fc17, gnome-applets-3.4.1-1.fc17, gnome-backgrounds-3.4.1-1.fc17, gnome-boxes-3.4.1-1.fc17, gnome-desktop3-3.4.1-2.fc17, gnome-devel-docs-3.4.1-1.fc17, gnome-documents-0.4.1-1.fc17, gnome-games-3.4.1-1.fc17, gnome-keyring-3.4.1-1.fc17, gnome-online-accounts-3.4.1-1.fc17, gnome-panel-3.4.1-1.fc17, gnome-screenshot-3.4.1-1.fc17, gnome-session-3.4.1-1.fc17, gnome-shell-3.4.1-2.fc17, gnome-system-monitor-3.4.1-1.fc17, gnome-terminal-3.4.1.1-1.fc17, gnome-user-docs-3.4.1-1.fc17, gtksourceview3-3.4.1-1.fc17, gucharmap-3.4.1.1-1.fc17, gvfs-1.12.1-2.fc17, libgdata-0.12.0-1.fc17, libgnome-keyring-3.4.1-2.fc17, librsvg2-2.36.1-1.fc17, libsoup-2.38.1-1.fc17, mutter-3.4.1-2.fc17, orca-3.4.1-2.fc17, sushi-0.4.1-1.fc17, vinagre-3.4.1-1.fc17, vino-3.4.1-1.fc17, vte3-0.32.1-1.fc17, yelp-3.4.1-1.fc17, yelp-tools-3.4.1-1.fc17, yelp-xsl-3.4.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.